Subject: bug#36161: 27.0.50; display-buffer-in-previous-window might choose not to use PREVIOUS-WINDOW

From: Dmitry Gutov <[email-masked]>
Date: Wed, 12 Jun 2019 16:31:46 +0300

On 12.06.2019 12:18, martin rudalics wrote:

>  > TBH, the new docstring seems a lot more confusing to me. "may 
> override" doesn't really tell us what the function is going to do.
> 
> OK.  This time I tried to tell everything I know.  Please have a look.

It's much better now, thanks. And the wording of "is usable for" is 
somehow more obvious to me (even though the information is the same).

 > I would have to understand first why one and the same buffer was
 > displayed in different windows previously.

Not sure what answer you're looking for. Suppose a user used 
switch-to-buffer sometime in the past to show it there?

I think the question is, if the caller supplies the `previous-window' 
cons in ALIST, is there a point in second-guessing its choice?

FWIW, I've only found one user of this function that does that, and it's 
`debug'. Which behavior do you think that command would prefer?